require 'redmine'
require 'query'

issue_query = (IssueQuery rescue Query)
issue_query.add_available_column(QueryColumn.new(:subject_combined, :sortable => "#{Issue.table_name}.subject"))

require 'redmine_subject_compilation/patches/app/model/issue'
require 'redmine_subject_compilation/patches/app/helpers/queries_helper'
require 'redmine_subject_compilation/hooks/view_issues_index_bottom'


Redmine::Plugin.register :redmine_subject_compilation do
	name 'Plugin to print make a combined subject field with others'
	author 'Dmitry Yu Okunev'
	author_url 'http://gogs.ut.mephi.ru/dyokunev'
	url 'http://gogs.ut.mephi.ru/dyokunev/redmine_subject_compilation'
	version '0.0.1'
end

